
#ifdef WIN32
	#include <windows.h>
	#pragma comment(lib, "Irrlicht.lib")
#endif

#include <irrlicht.h>

using namespace irr;
using namespace core;
using namespace video;
using namespace scene;


#ifdef WIN32
	int WINAPI WinMain(HINSTANCE hInst, HINSTANCE hPrevInst, LPSTR strCmdLine, int nShowCmd)
#else
	int main()
#endif
{
	IrrlichtDevice *device = 
		createDevice(EDT_OPENGL,dimension2d<s32>(320,240),16,false,false,false);
	IVideoDriver *driver = device->getVideoDriver();
	
	//EChE^Cgݒ
	device->setWindowCaption(L"Irrlicht");

	while(device->run())
	{
		driver->beginScene(true,true,0xFF6060FF);
		driver->endScene();
	}

	device->drop();

	return 0;
}